org.tmatesoft.svn.core.io

## Interface ISVNFileRevisionHandler

- All Superinterfaces:
    ISVNDeltaConsumer
  All Known Implementing Classes:
    SVNAnnotationGenerator

      public interface ISVNFileRevisionHandler
      extends ISVNDeltaConsumer

  The ISVNFileRevisionHandler interface should be implemented for handling information about file revisions - that is file path, properties, revision properties against a particular revision.

  This interface is provided to a `getFileRevisions()` method of SVNRepository when getting file revisions (in particular, when annotating).

  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNRepository`, `SVNAnnotationGenerator`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeRevision(java.lang.String token)` Performs final handling for the processed file revision (when all deltas are applied and fulltext is got).
    `void` | `openRevision(SVNFileRevision fileRevision)` Handles a file revision info.

    - ### Methods inherited from interface org.tmatesoft.svn.core.io.ISVNDeltaConsumer

      `applyTextDelta, textDeltaChunk, textDeltaEnd`

- - ### Method Detail

    - #### openRevision

          void openRevision(SVNFileRevision fileRevision)
                     throws SVNException

      Handles a file revision info.
      Parameters:
        `fileRevision` - a SVNFileRevision object representing file revision information
      Throws:
        `SVNException`
      See Also:
        `SVNFileRevision`

    - #### closeRevision

          void closeRevision(java.lang.String token)
                      throws SVNException

      Performs final handling for the processed file revision (when all deltas are applied and fulltext is got).
      Parameters:
        `token` - a file token (name or path)
      Throws:
        `SVNException`